%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	DISPLAY_VERSION=%{version}-%{release} \\\
	PREFIX=%{_prefix} \\\
	DATAROOT_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}

Name:		rcue1
Summary:	Red Hat Common User Interface (RCUE) and dependencies
Version:	1.3.0
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		https://github.com/patternfly/rcue
Source:		rcue-1.3.0.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Red Hat Common User Interface (RCUE) with dependencies bundled.

%prep
%setup -q -n rcue-1.3.0

%build
make %{?_smp_mflags} %{make_common_opts}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"

%files
%{_datadir}/%{name}/

%changelog
* Mon Jun 4 2015 Robb Hamilton <rhamilto@redhat.com> - 1.3.0
- Version bump to 1.3.0
* Mon May 27 2015 Robb Hamilton <rhamilto@redhat.com> - 1.2.1
- Version bump to 1.2.1
* Mon Mar 30 2015 Robb Hamilton <rhamilto@redhat.com> - 1.1.4
- Version bump to 1.1.4
* Mon Feb 2 2015 Greg Sheremeta <gshereme@redhat.com> - 1.1.3
- Version bump to 1.1.3
* Wed Jul 2 2014 Greg Sheremeta <gshereme@redhat.com> - 1.0.3-1
- Initial version.

